Skip to main content
GET
Get aggregated ramp quotes

Authorizations

Authorization
string
header
required

Enter your Chainrails API key as a Bearer token

Query Parameters

type
enum<string>
required

Type of quote to get

Available options:
on-ramp,
off-ramp
fiatCurrency
string
required

ISO 4217 fiat currency code

Example:

"NGN"

cryptoAmount
number
required

Amount of crypto the user wants to receive (on-ramp) or sell (off-ramp). For off-ramp this is the amount of the selected source token.

Example:

10

destinationChain
enum<string>

Destination blockchain where user wants funds (required for on-ramp)

Available options:
ARBITRUM_MAINNET,
ARBITRUM_TESTNET,
AVALANCHE_MAINNET,
AVALANCHE_TESTNET,
BASE_MAINNET,
BASE_TESTNET,
STARKNET_MAINNET,
STARKNET_TESTNET,
BSC_MAINNET,
ETHEREUM_MAINNET,
ETHEREUM_TESTNET,
OPTIMISM_MAINNET,
OPTIMISM_TESTNET,
MONAD_MAINNET,
MONAD_TESTNET,
POLYGON_MAINNET,
HYPEREVM_MAINNET,
LISK_MAINNET,
SOLANA_MAINNET,
SOLANA_TESTNET,
TRON_MAINNET
Example:

"BASE_MAINNET"

sourceChain
enum<string>

Source blockchain where user will send crypto from (required for off-ramp)

Available options:
ARBITRUM_MAINNET,
ARBITRUM_TESTNET,
AVALANCHE_MAINNET,
AVALANCHE_TESTNET,
BASE_MAINNET,
BASE_TESTNET,
STARKNET_MAINNET,
STARKNET_TESTNET,
BSC_MAINNET,
ETHEREUM_MAINNET,
ETHEREUM_TESTNET,
OPTIMISM_MAINNET,
OPTIMISM_TESTNET,
MONAD_MAINNET,
MONAD_TESTNET,
POLYGON_MAINNET,
HYPEREVM_MAINNET,
LISK_MAINNET,
SOLANA_MAINNET,
SOLANA_TESTNET,
TRON_MAINNET
Example:

"BASE_MAINNET"

amountSymbol
enum<string>

Token symbol for cryptoAmount (defaults to USDC)

Available options:
USDC,
USDT,
DAI,
BUSD,
EURC,
ETH,
WETH,
STRK,
BNB,
LORDS,
USDS,
USDG,
USDT0,
WBTC,
LINK,
SOL,
EKUBO,
AAVE,
UNI,
CURVE,
cbBTC,
VIRTUAL,
stETH,
wstETH,
SKY,
AUSD,
WMON,
LVMON,
OP,
WLD,
ARB,
sAVAX,
WAVAX,
anyBTC,
WBNB,
TRON,
AVAX,
POL,
MON
countryCode
string

ISO 3166-1 alpha-2 country code of the user. Required for multi-country currencies (e.g., XOF — pass "BJ" for Benin, "SN" for Senegal). Falls back to the currency's default country if omitted.

Example:

"NG"

directOnly
boolean

If true, only return quotes with direct transfer channels (no widget/redirect)

Example:

false

userEmail
string

User's email. When supplied, recommendation can prefer providers where the user is already KYC-cleared.

Response

Aggregated ramp quotes